<?php
$errors  = '';
$myemail = 'fatossava47@gmail.com'; // Alıcı e-posta adresi

// Form verileri alınıyor
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $name    = $_POST['name'];
    $email   = $_POST['email'];
    $subject = $_POST['subject'];
    $message = $_POST['message'];

    // Eksik alanlar kontrolü
    if (empty($name) || empty($email) || empty($subject) || empty($message)) {
        $errors .= "Error: Required fields are missing.\n";
    }

    // E-posta adresi doğrulaması
    if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
        $errors .= "Error: Invalid Email Address.\n";
    }

    // Eğer hata yoksa e-posta gönderme işlemi
    if (empty($errors)) {
        // E-posta başlıkları
        $to = $myemail;
        $email_subject = $subject;
        $email_body = "Name: $name\nEmail: $email\nSubject: $subject\nMessage:\n$message";

        // E-posta başlıkları
        $headers = "From: $email";

        // mail() fonksiyonu ile e-posta gönderme
        if (mail($to, $email_subject, $email_body, $headers)) {
            echo "Mesajınız başarıyla gönderildi.";
        } else {
            echo "Mesaj gönderilirken bir hata oluştu.";
        }
    } else {
        // Hata varsa ekrana yazdırma
        echo nl2br($errors);
    }
}
?>